JcePKCSPBEOutputEncryptorBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pkcs.jcajce

## Class JcePKCSPBEOutputEncryptorBuilder

- java.lang.Object
- - org.bouncycastle.pkcs.jcajce.JcePKCSPBEOutputEncryptorBuilder

-     public class JcePKCSPBEOutputEncryptorBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcePKCSPBEOutputEncryptorBuilder(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputEncryptor` | `build(char[] password)`
    `JcePKCSPBEOutputEncryptorBuilder` | `setIterationCount(int iterationCount)` Set the iteration count for the PBE calculation.
    `JcePKCSPBEOutputEncryptorBuilder` | `setKeySizeProvider(SecretKeySizeProvider keySizeProvider)` Set the lookup provider of AlgorithmIdentifier returning key_size_in_bits used to handle PKCS5 decryption.
    `JcePKCSPBEOutputEncryptorBuilder` | `setProvider(java.security.Provider provider)`
    `JcePKCSPBEOutputEncryptorBuilder` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcePKCSPBEOutputEncryptorBuilder

          public JcePKCSPBEOutputEncryptorBuilder(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)

  - ### Method Detail

    - #### setProvider

          public JcePKCSPBEOutputEncryptorBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcePKCSPBEOutputEncryptorBuilder setProvider(java.lang.String providerName)

    - #### setKeySizeProvider

          public JcePKCSPBEOutputEncryptorBuilder setKeySizeProvider(SecretKeySizeProvider keySizeProvider)

      Set the lookup provider of AlgorithmIdentifier returning key_size_in_bits used to handle PKCS5 decryption.
      Parameters:
        `keySizeProvider` - a provider of integer secret key sizes.
      Returns:
        the current builder.

    - #### setIterationCount

          public JcePKCSPBEOutputEncryptorBuilder setIterationCount(int iterationCount)

      Set the iteration count for the PBE calculation.
      Parameters:
        `iterationCount` - the iteration count to apply to the key creation.
      Returns:
        the current builder.

    - #### build

          public OutputEncryptor build(char[] password)
                                throws OperatorCreationException

      Throws:
        `OperatorCreationException`